Отказ в обслуживании в Quagga

Дата публикации:
13.04.2007
Дата изменения:
11.04.2008
Всего просмотров:
1905
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Quagga 0.x
Уязвимые версии: Quagga версии до 0.99.6

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании приложения.

Уязвимость существует из-за того, что bgpd не проверяет длину данных в атрибутах "MP_UNREACH_NLRI" и "MP_REACH_NLRI". Удаленный пользователь может послать UPDATE сообщение, содержащее специально сформированные Multi-Protocol reachable/unreachable NLRI атрибуты и вызвать отказ в обслуживании.

URL производителя: www.quagga.net

Решение: Установите последнюю версию (0.99.6) с сайта производителя.

или введите имя

CAPTCHA